Package org.apache.sysds.runtime.matrix.operators

## Class UnarySketchOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator
    - - org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator
      - - org.apache.sysds.runtime.matrix.operators.UnarySketchOperator

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CountDistinctOperator`

    public class UnarySketchOperator
    extends AggregateUnaryOperator

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator

`aggOp, indexFn`

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`UnarySketchOperator​(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction)`
`UnarySketchOperator​(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction, int numThreads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Types.Direction` `getDirection()`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.AggregateUnaryOperator

`isColAggregate, isFullAggregate, isRowAggregate, toString`

### Methods inherited from class org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

`getNumThreads, setNumThreads`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnarySketchOperator

    public UnarySketchOperator​(AggregateOperator aop,
                               IndexFunction indexFunction,
                               Types.Direction direction)

#### UnarySketchOperator

    public UnarySketchOperator​(AggregateOperator aop,
                               IndexFunction indexFunction,
                               Types.Direction direction,
                               int numThreads)

### Method Detail

#### getDirection

    public Types.Direction getDirection()